@import url('https://fonts.googleapis.com/css2?family=Catamaran:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
@import url('variables.css');
@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;600&display=swap');

body {
    font-family: 'Catamaran', sans-serif;
}


/* Utility classes */
.container {
    max-width: var(--max-width);
    margin: 0 auto;
}

.flex-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

::-webkit-scrollbar {
    display: none;
}

.text-light {color: var(--light-color);}
.text-dark {color: var(--dark-color);}
.text-primary {color: var(--primary-color);}

.bg-light {color: var(--light-color);}
.bg-dark {color: var(--dark-color);}
.bg-primary {color: var(--primary-color);}

.btn {
    padding: 0.3rem 1.5rem;
    transition: color ease 0.2s;
    border: none;
}

a {text-decoration: none;}

.btn-primary {background: var(--primary-color);  color: var(--light-color); transition: background 500ms ease;}
.btn-primary:hover {
    background: var(--light-color);
    color: var(--primary-color);
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
}

.sections-heading {
    text-align: center;
    width: 100ch;
    margin: 0 auto;
 }

 .sections-heading h3 {
    font-family: 'Raleway', sans-serif;
    text-transform: uppercase;
    line-height: 1;
    font-weight: 600;
    font-size: 1.5rem;
 }

 .sections-heading h2 {
    font-size: 3rem;
    font-weight: 800;
    text-transform: capitalize;
    margin: 0.6rem 0;
 }

 .sections-heading p {
    font-size: 1.3rem;
    color: rgb(117, 117, 117);
 }

 /* Hide arrow in number input */
 /* Chrome, Safari, Edge, Opera */

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}


/* Header section */

.navbar {
    background: var(--dark-color);
    padding: 0.7rem 0;
    height: 4rem;
    z-index: 2;
    position: sticky;
    top: 0;
    left: 0;
}
.navbar ul {
    display: flex;
    list-style: none;
}

.nav-links li {
    padding: 0.3rem 0rem;
    margin: 0 0.2rem;
}

.nav-links li a {color: var(--light-color);}

.navbar ul li a:hover {
    background: var(--primary-color);
}


nav .active {
    background: var(--primary-color);
}

.navbar .flex-container {height: 100%;}

/* navbar toggle */
.hamburger{
    display: none;
    cursor: pointer;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background: var(--light-color);
}


.section-heading {
    width: 60ch;
    text-align: center;
    margin: 0 auto 3rem;
}

.section-heading h2 {
    font-size: 2.5rem;
    text-transform: uppercase;
    font-weight: 300;
}

.section-heading .head-em {font-weight: 700;}

/* Animations */
@keyframes slideInLeft {
    0% {
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
    visibility: visible;
    opacity: 0;
    }
    100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
    opacity: 1;
    }

    }

@keyframes fadeIn {
    0% {opacity: 0;}
    100% {opacity: 1;}
    }

@keyframes display {
    0% {
    transform: translateX(200px);
    opacity: 0;
    }
    10% {
    transform: translateX(0);
    opacity: 1;
    }
    20% {
    transform: translateX(0);
    opacity: 1;
    }
    30% {
    transform: translateX(-200px);
    opacity: 0;
    }
    100% {
    transform: translateX(-200px);
    opacity: 0;
    }
    }
      

/* Showcase */
.showcase {
    position: relative;
    height: 93vh;
    width: 100%;
    background: url("../img/showcase.jpg") no-repeat center center/cover;
    background-attachment: fixed;
    background-position: center center;
}

.showcase:before {
    content: "";
    position: absolute;
    background: var(--dark-color);
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    opacity: 0.7;
}

.showcase-content a {
    animation-name: slideInLeft;
    -webkit-animation-duration: 2s;
    animation-duration: 2s;

}

.showcase-img {
    max-width: 50%;
    position: relative;
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
    -webkit-animation-duration: 2.5s;
    animation-duration: 2.5s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.showcase-img::before {
    content: "";
    position: absolute;
    background: url("../img/showcase-before.png") no-repeat;
    bottom: -0.8rem;
    right: -1.8rem;
    height: 11rem;
    width: 17rem;
    z-index: -1;
}

.showcase-img img {
    max-width: 100%;
    min-height: 30vh;
}

.showcase-content {
    color: var(--light-color);
    width: 45%;
}

.showcase-content p {
    margin-bottom: 3rem;
    -webkit-animation-name: slideInLeft;
    animation-name: slideInLeft;
    -webkit-animation-duration: 1s;
    animation-duration: 1.5s;
    animation-timing-function: linear;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}


.showcase-content h1 {
    font-size: 3rem; 
    line-height: 1.5;
    margin-bottom: 1rem;
    -webkit-animation-name: slideInLeft;
    animation-name: slideInLeft;
    -webkit-animation-duration: 1s;
    animation-duration: 1.5s;
    animation-timing-function: ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.showcase .flex-container {height: 93vh;}
.showcase .flex-container > * {
    z-index: 1;
    color: var(--light-color);
}


/* About */
#about {position: relative;}
#about::before {
    content: "";
    position: absolute;
    top: 15vh;
    right: 25vh;
    height: 15rem;
    width: 20rem;
    background: var(--lightdark-color);
    z-index: -1;
}
#about::after {
    content: "";
    position: absolute;
    bottom: 5vh;
    right: 0;
    height: 25vh;
    width: 55vw;
    background: var(--primary-color);
    z-index: -1;
}
#about .flex-container {
    height: 100vh;
}
#about .flex-container>:first-child {
    width: 40%;
}

#about .flex-container>:last-child{width: 50%;}

#about .about-img img {
    width: 100%;
    max-height: 60vh;
}

#about h1 {
    font-size: 3rem;
}

#about p {
    margin-bottom: 2rem;
}

#about .about-content a {
    color: var(--dark-color);
    border: solid 2px var(--dark-color);
    padding: 0.5rem 2.5rem;
    text-transform: uppercase;
    font-size: 1.2rem;
    transition: background 0.2s;
}


#about .about-content a:hover {
    background: var(--lightdark-color);
    color: var(--light-color);
    border: solid 2px var(--lightdark-color);
}


/* Meet Our Team */
#team {
    padding: 7rem 0;
    background: var(--dark-color);
    color: #fff;
}

#team .team-img {
    width: 100%;
    height: 12rem;
}

#team .team-card{
    display: grid;
    grid-template-columns: 1fr 2.5fr;
    align-items: center;
    gap: 1rem;
    
}

#team .team-container {
    display: flex;
    align-items: center;
    gap: 3rem;
    margin-top: 5rem;
}

#team .team-container > * {width: 50%;}
#team .team-desc h2 {
    text-transform: uppercase;
    font-family: 'Raleway', sans-serif;
}

#team .team-desc h3 {
    text-transform: capitalize;
    color: var(--primary-color);
}

#team .team-desc p {margin: 0.5rem 0 1rem;}

.team-socials i {
    color: var(--primary-color);
    margin-right: 0.5rem;
    font-size: 1.2rem;
    transition: color 500ms ease;
}

.team-socials i:hover {color: #fff;}


#team .team-img img {
    width: 100%; 
    height: 100%;
    object-fit: cover;
    object-position: top;
}

/* Services */
#services {
    background: var(--gray-color);
    padding: 7rem 0;
}

.card {
    height: 22rem;
    background: #fff;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transition: transform 500ms ease;
    overflow: hidden;
    position: relative;
}

.card:hover {
    transform: scale(1.05);
}

.card:hover .card-content {
    height: 12rem;
}

.card:hover .card-img {
    translate: 0 -8rem;
    transform: scale(1.05);
}


#services a:hover {border: solid 1px var(--primary-color);}


.card:hover .card-content p {
    display: block;
    opacity: 0.8;
}

.card-img {
    height: 12rem;
    transition: transform 500ms ease;
    transition: translate 500ms ease;
}

.card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card-content {
    padding: 1rem 2rem;
    margin-bottom: 2rem;
    height: 5rem;
    position: absolute;
    bottom: 2rem;
    left: 0;
    overflow: hidden;
    transition: height 500ms ease;
}


.card-content p {
    opacity: 0.8;
    line-height: 1;
    font-size: 0.9rem;
}

.card a {
    position: absolute;
    bottom: 1.5rem;
    left: 2rem;
}

.card-button {
    background: var(--dark-color);
    height: 20vh;
    width: 20vh;
}


.card-content i, .card-content h3{margin-bottom: 0.5rem;}
.card-content i {font-size: 1.8rem;}


/* Test services section */
#test-section {
    padding: 7rem 0;
    position: relative;
}

.carousel-wrapper {
    width: var(--max-width);
    margin: 0 auto;
}

.swiper {
    width: 100%;
}


.service-card {
    background: #fff;
    padding-bottom: 2rem;
    margin-bottom: 5rem;
    border: solid 1px #ddd;
}

.service-card .service-card-img {
    width: 100%;
    height: 12rem;
    overflow: hidden;
}

.service-card .service-card-img img {
    width: 100%;
    height: 100%;
    transition: scale 500ms ease;
}

.service-card .service-card-img img:hover {
    transform: scale(1.05);
}

.service-card .service-card-content {
    padding: 1rem 1rem;
}

.service-card-content p {
    color: #8d8d8d;
    line-height: 1.3;
    font-size: 0.9rem;
    margin-top: 1rem;
}

.service-card-content h3 {
    font-size: 0.9rem;
}

.service-card .service-card-content i {
    font-size: 1.5rem;
}

.service-card a {
    margin: 0rem 1rem;
    /* padding: 0.7rem 2rem; */
    cursor: pointer;
}

#test-section .swiper-button-prev, #test-section .swiper-button-next {
    opacity: 0.4;
    height: 0.5rem;
    width: 0.2rem;
    color: var(--primary-color);
    transition: all 0.3s ease;
}

/* #test-section .swiper-button-prev {left: -1rem;} */

#test-section .swiper-button-next:hover, #test-section .swiper-button-prev:hover {
    opacity: 1;
    color: var(--lightprimary-color);
}

#test-section .swiper-pagination-bullet {
    height: 7px;
    width: 26px;
    border-radius: 25px;
    background: var(--primary-color);
}




/* Why Choose Us */
#why-us {
    position: relative;
    padding: 7rem 0;
    background: url("../img/why-us.jpg")no-repeat center center/cover;
    background-attachment: fixed;
    z-index: 0;
}

#why-us::after {
    content: "";
    position: absolute;
    background: var(--dark-color);
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    opacity: 0.7;
    z-index: -1;
}


#why-us .section-heading, #why-us .section-heading .head-em {color: #fff;}

#why-us .card {padding: 2.5rem 2rem; z-index: 2; height: 100%; width: 100%;}

#why-us h1 {
    font-family: 'Lato', sans-serif;
    font-size: 3rem;
    color: var(--primary-color);
}

#why-us .card p {line-height: 1; color: #8d8d8d;}
#why-us .card h2 {
    text-transform: uppercase;
}

/* Partner */
#partner {padding: 7rem 0;}
.partner-container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}

.partner-container img {
    width: 80%;
}

/* Footer */
#footer {
    background: var(--dark-color);
    padding: 5rem 0 2rem;
    color: var(--light-color);
}

#footer .footer-container {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    gap: 4rem;
    margin-bottom: 3rem;
}

#footer .footer-container ul {list-style: none;}
#footer .footer-container li {margin-bottom: 0.5rem;}
#footer .footer-container ul li a {color: #fff; transition: color 500ms ease;}
#footer .footer-container ul li a:hover {color: var(--primary-color);}
#footer .footer-container .footer-about a {
    color: var(--light-color);
    border: solid 1px var(--light-color);
    padding: 0.5rem 2rem;
    transition: background 500ms ease;
}

#footer .footer-container .footer-about a:hover {
    background-color: var(--light-color);
    color: var(--dark-color);
}

#footer .footer-container .footer-about p {
    margin-bottom: 3rem;
}

#footer hr {margin-bottom: 2rem;}

#footer .footer-logo a {
    background-color: none !important;
    border: none !important;
    padding: 0 !important;
    font-size: 1.5rem !important;
    font-weight: bold !important;
}

#footer .footer-logo a:hover {
    background: none !important;
    color: #acaaaa !important;
}

/* 
########################################
-- ABOUT US --
########################################
 */
#about-heading {
    position: relative;
    background: url('../img/showcase2.jpg')no-repeat bottom center/cover;
    color: #fff;
    height: 25rem;
    z-index: -2;
}

#about-heading::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: var(--dark-color);
    opacity: 0.8;
    z-index: -2;
}

#about-heading::after {
    content: "";
    position: absolute;
    top: 25%;
    left: 0;
    border-top: 5rem solid var(--primary-color);
    border-right: 2.5rem solid transparent;
    height: 0;
    width: 30%;
    z-index: 2;
}

.about-section-content {
    margin-top: 15%;
}

.about-section-content h3 {
    text-transform: uppercase;
    margin: 0;
    padding: 0;
    line-height: 0;

}
.about-section-content span {color: var(--primary-color);}
.about-section-content h2 {
    text-transform: uppercase;
    font-size: 3rem;
    padding: 0;
    margin: 0;
}

#about-heading .flex-container {align-items: center; height: 100%;}



/* About desc */
#about-desc {
    padding: 7rem 0;
}


#about-desc .about-desc-content p {
    margin: 0.5rem 0;
    opacity: 0.7;
}

#about-desc .about-desc-content h2 {
    font-family: 'Raleway', sans-serif;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 2rem;
}

#about-desc .about-desc-content h3 {
    font-family: 'Caveat', cursive;
    font-size: 1.5rem;
    opacity: 0.7;
}

#about-desc .flex-container {
    flex-wrap: wrap;
    flex-grow: 1;
    gap: 10%;
}

#about-desc .flex-container > * {
    width: 45%;
}


#about-desc .about-desc-img img {
    width: 100%;
    border-radius: 1rem;
    /* transform: skewY(-3deg); */
    
}

/* Why trust us */
#why-trust-us {
    background: var(--lightdark-color);
    padding: 7rem 0;
}

#why-trust-us .trust-content .trust-card {
    margin: 0 1rem 2rem;
    display: flex;
    align-items: flex-start;
    gap: 4%;
}

#why-trust-us .trust-content .trust-card img {
    width: 4rem;
}

#why-trust-us .trust-content .flex-container {
    align-items: flex-start;
}

#why-trust-us .grid-container {
    grid-template-columns: repeat(2, 1fr);
}

#why-trust-us .flex-container {
    gap: 5%;
}

#why-trust-us .trust-title h2 {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 2rem;
    line-height: 1;
}

#why-trust-us .trust-title p {
    margin: 0.5rem 0;
}


/* 
########################################
-- SERVICES --
########################################
 */

 #services-desc {
    padding: 7rem 0;
 }

 
 .tabset .tabset-tabs > input[type="radio"] {
    position: absolute;
    left: -200vw;
  }
  
  .tabset .tab-panel {
    display: none;
  }
  
  .tabset .tabset-tabs > input:first-child:checked ~ .tab-panels > .tab-panel:first-child,
  .tabset .tabset-tabs > input:nth-child(3):checked ~ .tab-panels > .tab-panel:nth-child(2),
  .tabset .tabset-tabs > input:nth-child(5):checked ~ .tab-panels > .tab-panel:nth-child(3),
  .tabset .tabset-tabs > input:nth-child(7):checked ~ .tab-panels > .tab-panel:nth-child(4),
  .tabset .tabset-tabs> input:nth-child(9):checked ~ .tab-panels > .tab-panel:nth-child(5),
  .tabset .tabset-tabs > input:nth-child(11):checked ~ .tab-panels > .tab-panel:nth-child(6) {
    display: block;
  }
  
  /*
   Styling
  */

  
  .tabset .tabset-tabs > label {
    position: relative;
    display: inline-block;
    padding: 1rem 1.2rem 1rem;
    border: 1px solid transparent;
    border-bottom: 0;
    cursor: pointer;
    font-weight: 600;
    line-height: 1.3;
    text-align: center;
    font-size: 0.9rem;
  }

  
  .tabset .tabset-tabs > label::after {
    content: "";
    position: absolute;
    left: 40%;
    bottom: 8px;
    width: 22px;
    height: 4px;
    background: #8d8d8d;
  }
  
  .tabset .tabset-tabs > label:hover,
  .tabset .tabset-tabs > input:focus + label {
    color: var(--primary-color);
  }
  
  .tabset .tabset-tabs > label:hover::after,
  .tabset .tabset-tabs > input:focus + label::after,
  .tabset .tabset-tabs > input:checked + label::after {
    background: var(--primary-color);
  }
  
  .tabset .tabset-tabs > input:checked + label {
    border-color: #ccc;
    border-bottom: 1px solid #fff;
    margin-bottom: -1px;
  }
  
  .tab-panel {
    padding: 30px 2rem;
    border-top: 1px solid #ccc;
  }

  .tabset {
    border: solid 1px #ccc;
    margin-top: 3rem;
  }

  .tab-panels .flex-container {
    gap: 2rem;
    flex-direction: column;
  }



  .tab-panels .tab-card-img{
    width: 100%;
    height: 13rem;
  }

  .tab-panels .tab-card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: scale 500ms ease;
  }

  .tab-panels .tab-card-img img:hover {
    transform: scale(1.02);
  }

  .tab-panels .tab-card .tab-card-content {
    text-align: justify;
  }

  .tab-panels .tab-card .tab-card-content p {
    margin: 1rem 0;
  }

  .tab-panels .tab-card .tab-card-content h2 {
    line-height: 1;
  }

  .tab-panels .tab-card .tab-card-content ul {
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
    /* list-style-type: square; */
    list-style: none;

  }

  .tab-panels .tab-card .tab-card-content ul li {
    margin-right: 1rem;
    text-align: left;
  }

  .tab-panels .tab-card .tab-card-content ul li::before {
    content: "\25A0  ";
    color: var(--primary-color);
  }

  .tab-panels .tab-card .tab-card-content h2 {
    text-transform: capitalize;
  }


  /* Services - Services */

  .services-card img {
    color: var(--primary-color);
  }
 .services-icon {
    fill: var(--primary-color);
 }

 .services-svg {
    height: 4rem;
    width: 4rem;
 }

 .services-card {
    border: solid 1px var(--lightprimary-color);
    padding: 2rem;
    text-align: center;
 }

 .services-card:hover {
    border: solid 1px  var(--primary-color);
 }

 #services-cards .grid-container {grid-template-columns: repeat(3, 1fr); gap: 1rem;}



         /* 
########################################
-- CONTACT US --
########################################
 */

 /* Contact - contact section */
 #contact {
    padding: 7rem 0;
 }

 #contact hr, #quote hr {
    border: none;
    background: lightgray;
    height: 1px;
    margin-bottom: 0.7rem;
 }

 #contact .contact-form {
    width: 64%;
 }

 #contact .contact-details {
    width: 33%;
    background: var(--gray-color);
    padding: 5rem 2rem;
    height: 100%;
 }

 #contact .contact-details p {
    color: #555;
    line-height: 1.2;
 }

 #contact .contact-details .contact-flex {
    display: flex;
    justify-content: left;
    gap: 2rem;
    margin-top: 1rem;
    align-items: center;
    
 }

 #contact .contact-details i {
    color: var(--primary-color);
    border: solid 1px var(--lightprimary-color);
    padding: 0.3rem;
 }

 .form-field input, .form-field textarea {
    width: 100%;
    padding: 0.8rem 0.7rem;
    border: solid 1px lightgray;
    transition: border 500ms ease;
 }

 .form-field input:focus, .form-field textarea:focus, select.duration:focus {
    outline: var(--primary-color);
    border: solid  1px cadetblue;
 }


 .form-field {
    margin: 0.7rem 0;
 }

 .form-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0 1rem;
 }

 .contact-form .btn {
    padding: 1rem 3rem;
    color: white;
 }

 .contact-form .btn:hover {
    color: var(--primary-color);
 }

 /* Get a quote */

 #quote {
    padding: 7rem 0;
 }

 #quote .form-container {
    margin-top: 4rem;
 }

 .required-services > * {
    display: block;
    margin-bottom: 1rem;
 }

 .required-services {width: 30%;}
 .services-desc {width: 70%;}

 .duration {
    padding: 0.8rem 1rem;
    border: solid 1px lightgray;
    background: none;
    width: 100%;
 }

 #quote .btn {width: 100%; margin-top: 0.7rem;}

 /* Preloader */
 /* Preloder */
#preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 100;
    background: #000;
    transition: all 500ms ease;
  }
  
  .loader {
    width: 40px;
    height: 40px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -13px;
    margin-left: -13px;
    border-radius: 60px;
    animation: loader 0.8s linear infinite;
    -webkit-animation: loader 0.8s linear infinite;
  }
  
  @keyframes loader {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
      border: 4px solid #f44336;
      border-left-color: transparent;
    }
    50% {
      -webkit-transform: rotate(180deg);
      transform: rotate(180deg);
      border: 4px solid #673ab7;
      border-left-color: transparent;
    }
    100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
      border: 4px solid #f44336;
      border-left-color: transparent;
    }
  }
  @-webkit-keyframes loader {
    0% {
      -webkit-transform: rotate(0deg);
      border: 4px solid #f44336;
      border-left-color: transparent;
    }
    50% {
      -webkit-transform: rotate(180deg);
      border: 4px solid #673ab7;
      border-left-color: transparent;
    }
    100% {
      -webkit-transform: rotate(360deg);
      border: 4px solid #f44336;
      border-left-color: transparent;
    }
  }